Linux - SoftwareThis forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.
Notices
Welcome to LinuxQuestions.org, a friendly and active Linux Community.
You are currently viewing LQ as a guest. By joining our community you will have the ability to post topics, receive our newsletter, use the advanced search, subscribe to threads and access many other special features. Registration is quick, simple and absolutely free. Join our community today!
Note that registered members see fewer ads, and ContentLink is completely disabled once you log in.
If you have any problems with the registration process or your account login, please contact us. If you need to reset your password, click here.
Having a problem logging in? Please visit this page to clear all LQ-related cookies.
Get a virtual cloud desktop with the Linux distro that you want in less than five minutes with Shells! With over 10 pre-installed distros to choose from, the worry-free installation life is here! Whether you are a digital nomad or just looking for flexibility, Shells can put your Linux machine on the device that you want to use.
Exclusive for LQ members, get up to 45% off per month. Click here for more info.
You should get a newer version from Mandriva instead. I'm far from a Mandriva expert, but you can probably do it by running some command like "urpmi firefox" or "urpmi mozilla-firefox".
Version 1.5.0.2 is the newest version. Since you already downloaded the tar file, you can just untar it and put the firefox folder anywhere you want like /usr/local/firefox.
Then just place a link on your desktop and go surfing. From now on you wont have to unistall and reinstall a new browser. Firefox will just install updates either automatically or by a promt message.
Version 1.5.0.2 is the newest version. Since you already downloaded the tar file, you can just untar it and put the firefox folder anywhere you want like /usr/local/firefox.
Then just place a link on your desktop and go surfing. From now on you wont have to unistall and reinstall a new browser. Firefox will just install updates either automatically or by a promt message.
I don't want to install it somewhere else, I want to upgrade the old version!
Right! its just as simple as removing the installation folder of the older version and puting the newer version exactly in the same directory, and calling it with same name.
But, I'm not a mandriva expert,not even close. I just did this with fedora core 4. So just keep a backup of the older installation at somewhere else, and if you just rename it, don't include the word firefox in the new name.
Also, if you install it somewhere else, it may not work properly.
Last edited by debasish_5849; 04-21-2006 at 05:17 AM.
The /usr/shar/man/man1/ directory is your manual pages. Do not put your downloaded Firefox there. It is the /usr/bin/mozilla-firefox directory you are looking for.
If Firefox is already installed, you can update it automatically by clicking on "Check for Updates", which is under "Help" for v1.5 but may be under "Preferences" in earlier versions
Then it turns out to be a little harder.
open the file /usr/bin/mozilla-firefox with a text editor and read through the script to find out where exactly firefox is installed. (if it is a text file, no luck otherwise)
Then it turns out to be a little harder.
open the file /usr/bin/mozilla-firefox with a text editor and read through the script to find out where exactly firefox is installed. (if it is a text file, no luck otherwise)
Code:
#!/bin/sh
#
# The contents of this file are subject to the Netscape Public License
# Version 1.0 (the "NPL"); you may not use this file except in
# compliance with the NPL. You may obtain a copy of the NPL at
# http://www.mozilla.org/NPL/
#
# Software distributed under the NPL is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the NPL
# for the specific language governing rights and limitations under the
# NPL.
#
# The Initial Developer of this code under the NPL is Netscape
# Communications Corporation. Portions created by Netscape are
# Copyright (C) 1998 Netscape Communications Corporation. All Rights
# Reserved.
#
## $Id: mozilla.in,v 1.3.4.9 2004/10/26 09:26:11 bryner%brianryner.com Exp $
##
## Usage:
##
## $ mozilla [args]
##
## This script is meant to run the mozilla-bin binary from either
## mozilla/xpfe/bootstrap or mozilla/dist/bin.
##
## The script will setup all the environment voodoo needed to make
## the mozilla-bin binary to work.
##
moz_pis_startstop_scripts()
{
MOZ_USER_DIR=".mozilla/firefox"
# MOZ_PIS_ is the name space for "Mozilla Plugable Init Scripts"
# These variables and there meaning are specified in
# mozilla/xpfe/bootstrap/init.d/README
MOZ_PIS_API=2
MOZ_PIS_MOZBINDIR="${dist_bin}"
MOZ_PIS_SESSION_PID="$$"
MOZ_PIS_USER_DIR="${MOZ_USER_DIR}"
export MOZ_PIS_API MOZ_PIS_MOZBINDIR MOZ_PIS_SESSION_PID MOZ_PIS_USER_DIR
case "${1}" in
"start")
for curr_pis in "${dist_bin}/init.d"/S* "${HOME}/${MOZ_USER_DIR}/init.d"/S* ; do
if [ -x "${curr_pis}" ] ; then
case "${curr_pis}" in
*.sh) . "${curr_pis}" ;;
*) "${curr_pis}" "start" ;;
esac
fi
done
;;
"stop")
for curr_pis in "${HOME}/${MOZ_USER_DIR}/init.d"/K* "${dist_bin}/init.d"/K* ; do
if [ -x "${curr_pis}" ] ; then
case "${curr_pis}" in
*.sh) . "${curr_pis}" ;;
*) "${curr_pis}" "stop" ;;
esac
fi
done
;;
*)
echo 1>&2 "$0: Internal error in moz_pis_startstop_scripts."
exit 1
;;
esac
}
#uncomment for debugging
#set -x
moz_libdir=/usr/lib/mozilla-firefox-1.0.6
MRE_HOME=/usr/lib/mre/mre-1.0.6
# Use run-mozilla.sh in the current dir if it exists
# If not, then start resolving symlinks until we find run-mozilla.sh
found=0
if [ `basename $0` == "mozffremote" ]; then
progname="mozilla-firefox"
else
progname="$0"
fi
curdir=`dirname "$progname"`
progbase=`basename "$progname"`
run_moz="$curdir/run-mozilla.sh"
if test -x "$run_moz"; then
dist_bin="$curdir"
found=1
else
here=`/bin/pwd`
while [ -h "$progname" ]; do
bn=`basename "$progname"`
cd `dirname "$progname"`
progname=`/bin/ls -l "$bn" | sed -e 's/^.* -> //' `
if [ ! -x "$progname" ]; then
break
fi
curdir=`dirname "$progname"`
run_moz="$curdir/run-mozilla.sh"
if [ -x "$run_moz" ]; then
cd "$curdir"
dist_bin=`pwd`
run_moz="$dist_bin/run-mozilla.sh"
found=1
break
fi
done
cd "$here"
fi
if [ $found = 0 ]; then
# Check default compile-time libdir
if [ -x "$moz_libdir/run-mozilla.sh" ]; then
dist_bin="$moz_libdir"
run_moz="$moz_libdir/run-mozilla.sh"
else
echo "Cannot find mozilla runtime directory. Exiting."
exit 1
fi
fi
script_args=""
debugging=0
MOZILLA_BIN="${progbase}-bin"
# The following is to check for a currently running instance.
# This is taken almost verbatim from the Mozilla RPM package's launch script.
MOZ_CLIENT_PROGRAM="$dist_bin/mozilla-xremote-client"
check_running() {
"${run_moz}" "$MOZ_CLIENT_PROGRAM" -a firefox 'ping()' 2>/dev/null >/dev/null
RETURN_VAL=$?
if [ $RETURN_VAL -eq 0 ]; then
echo 1
return 1
else
echo 0
return 0
fi
}
export MOZ_PLUGIN_PATH=/usr/lib/mozilla/plugins
if [ "$HOME" ]; then
export MOZ_PLUGIN_PATH=$MOZ_PLUGIN_PATH:$HOME/.mozilla/plugins
fi
##
## Force use of GTK+ 2.0 for Flash player to get better performance
## (no impact when using mozilla gtk1 build
##
FLASH_GTK_LIBRARY=libgtk-x11-2.0.so.0
export FLASH_GTK_LIBRARY
if [ "$OSTYPE" = "beos" ]; then
mimeset -F "$MOZILLA_BIN"
fi
ALREADY_RUNNING=`check_running`
################################################################ Parse Arguments
# If there's a command line argument but it doesn't begin with a -
# it's probably a url. Try to send it to a running instance.
_USE_EXIST=0
_optOne="$1"
case "${_optOne}" in
-*)
;;
*)
_USE_EXIST=1
;;
esac
_optLast=
for i in "$@"; do
_optLast="${i}"
done #last arg
if [ `expr "${_optLast}" : '.*:/.*'` -eq 0 -a \( -f "${_optLast}" -o -d "${_optLast}" \) ]; then
# Last argument seems to be a local file/directory
# Check, if it is absolutely specified (ie. /home/foo/file vs. ./file)
# If it is just "relatively" (./file) specified, make it absolutely
[ `expr "${_optLast}" : '/.*'` -eq 0 ] && _optLast="file://`pwd`/${_optLast}"
fi
################################################################ Parse Arguments
########################################################################### Main
if [ $ALREADY_RUNNING -eq 1 ]; then
# There's an instance already running. Use it.
# Any command line args passed in?
if [ $# -gt 0 ]; then
# There were "some" command line args.
if [ ${_USE_EXIST} -eq 1 ]; then
# We should use an existing instance, as _USE_EXIST=$_USE_EXIST=-1
_remote_cmd="openURL(${_optLast})"
"${run_moz}" "$MOZ_CLIENT_PROGRAM" -a firefox "${_remote_cmd}"
unset _remote_cmd
exit $?
fi
else
# No command line args. Open new window/tab
#exec "${run_moz}" "$MOZ_CLIENT_PROGRAM" -a "${progbase}" "xfeDoCommand(openBrowser)"
"${run_moz}" "$MOZ_CLIENT_PROGRAM" -a firefox "xfeDoCommand(openBrowser)"
exit $?
fi
fi
# Default action - no running instance or _USE_EXIST (${_USE_EXIST}) ! -eq 1
########################################################################### Main
pass_arg_count=0
while [ $# -gt $pass_arg_count ]
do
case "$1" in
-p | --pure | -pure)
MOZILLA_BIN="${MOZILLA_BIN}.pure"
shift
;;
-g | --debug)
script_args="$script_args -g"
debugging=1
shift
;;
-d | --debugger)
script_args="$script_args -d $2"
shift 2
;;
*)
# Move the unrecognized argument to the end of the list.
arg="$1"
shift
set -- "$@" "$arg"
pass_arg_count=`expr $pass_arg_count + 1`
;;
esac
done
export MRE_HOME
## Start addon scripts
moz_pis_startstop_scripts "start"
if [ $debugging = 1 ]
then
echo $dist_bin/run-mozilla.sh $script_args $dist_bin/$MOZILLA_BIN "$@"
fi
"$dist_bin/run-mozilla.sh" $script_args "$dist_bin/$MOZILLA_BIN" "$@"
exitcode=$?
## Stop addon scripts
moz_pis_startstop_scripts "stop"
exit $exitcode
# EOF.
If Firefox is already installed, you can update it automatically by clicking on "Check for Updates", which is under "Help" for v1.5 but may be under "Preferences" in earlier versions
That's not right in this version! there's not a search for update button, everywhere!
I guess they didn't put it in the first versions which mandriva 2006 had used :S
Thanks, I did, but now here's the problem I have :
Code:
[root@nfs Desktop]# rpm -ivh mozilla-firefox-1.5.0.2-1.2006mcnl.i586.rpm
Preparing... ########################################### [100%]
file /usr/bin/mozilla-firefox from install of mozilla-firefox-1.5.0.2-1.2006mcnl conflicts with file from package mozilla-firefox-1.0.6-15mdk
file /usr/share/icons/large/mozilla-firefox.png from install of mozilla-firefox-1.5.0.2-1.2006mcnl conflicts with file from package mozilla-firefox-1.0.6-15mdk
file /usr/share/icons/mini/mozilla-firefox.png from install of mozilla-firefox-1.5.0.2-1.2006mcnl conflicts with file from package mozilla-firefox-1.0.6-15mdk
file /usr/share/icons/mozilla-firefox.png from install of mozilla-firefox-1.5.0.2-1.2006mcnl conflicts with file from package mozilla-firefox-1.0.6-15mdk
[root@nfs Desktop]# rpm -Uvh mozilla-firefox-1.5.0.2-1.2006mcnl.i586.rpm
error: Failed dependencies:
mozilla-firefox = 1.0.6 is needed by (installed) yelp-2.10.0-5mdk.i586
mozilla-firefox = 1.0.6 is needed by (installed) epiphany-1.6.5-6mdk.i586
LinuxQuestions.org is looking for people interested in writing
Editorials, Articles, Reviews, and more. If you'd like to contribute
content, let us know.